<?
session_start();
require('../valtiempoinact.php');
require("conectar.php");
function encrypt($string, $key) {
   $result = '';
   for($i=0; $i<strlen($string); $i++) {
      $char = substr($string, $i, 1);
      $keychar = substr($key, ($i % strlen($key))-1, 1);
      $char = chr(ord($char));
      $result.=$char;
   }
   return base64_encode($result);
}
 $mensaje=$_POST["mensaje"];
 $destinatario=$_POST["destino"];
 $folio=$_POST['folios'];
 $asu=", ".$_POST['asunto'];
 $asunto = "Mexico en renta$asu"; 
 $from=$_SESSION['usuario_email2'];

$mensaje=str_replace('\"', '', $mensaje);

$cuerpo=$mensaje;


$cuerpo2=str_replace('^', '&#32;', $cuerpo);

//para el envío en formato HTML 
     $headers = "MIME-Version: 1.0\r\n"; 
     $headers .= "Content-type: text/html; charset=UTF-8\r\n"; 
     //dirección del remitente 
     $headers .= "From: $from\r\n"; 
     //dirección de respuesta, si queremos que sea distinta que la del remitente 
     $headers .= "Reply-To: none\r\n"; 
     //ruta del mensaje desde origen a destino 
     $headers .= "Return-path: none\r\n";
                mail($destinatario,$asunto,$cuerpo,$headers);
				$mail=$destinatario;
                $corre=encrypt($cuerpo2,"mail");//el mensaje esta encriptado para poder insertar en base de datos ver archivo enviamail.php para ver  procesos de desencriptacion
				$id= $_SESSION['usuario_id'];
				$sql="INSERT INTO contadormail (id,id_emp,mail,correo,fecha,folio) VALUES ('','$id','$corre','$mail',CURDATE(),'$folio')";
                mysql_query($sql);
?>
<script>
alert("El correo se envio correctamente");
</script>